Subject: Re: Questions on implementing multicasting

From: [email-masked]
Date: Thu, 11 Dec 1997 10:52:25 -0800 (PST)

>  |Gated does not prevent you from having kernel bugs. Also it seemd to
>  |me that the gated release which supports PIM and/or DVMRP is not free.
>  |
> 
> ..otherwise we'd be only intrested to know where to get it from,
> anyhow, i think academic licenses are (used to be) free 
> If this is (still) the case, does anybody (merit?) have any pointers/info on 
> the process required in order to get it?

As far as I know, the current *public* ("sort of, but not totally, free")
version of gated is gated-3.5.7 (same as gated-3-5-7).  

Well, I didn't think that the public gated versions were 
supporting PIM yet, but, just to be sure, I downloaded it 
and I just recompiled it.  I was wrong.  There are now 
modules in the src directory pim.c and dvmrp.c  The new 
gated compiles perfectly under FreeBSD 3.0-current, 
installs, and at least runs, with  basic gated stuff, 
(e.g. router discovery, listening to RIP, etc.) but, 
unfortunately, I don't have a place to run it at this
instant where I can test PIM and DVMRP interoperability.

However, the fact is that it is now public.  "Way Cool".
Has anybody out there tested PIM interoperability with 
this version?  (e.g. with a Cisco?)  Does it work?  
How about DVMRP (e.g. with Cisco, mrouted3.8 and/or 3.9)?

In any case, thanks to Merit/gated consortium for making 
this code available in the public version, which should 
be useful reading in any case.  

-Hugh LaMaster

  Hugh LaMaster, M/S 258-5,     ASCII Email:  [email-masked]
  NASA Ames Research Center     Or:           [email-masked]
  Moffett Field, CA 94035-1000  No Junkmail:  USC 18 section 2701
  Phone:  415/604-1056          Disclaimer:   Unofficial, personal *opinion*.